Class Index | File Index

## Classes

- _global_
- AccessController
- APDU
- AuthenticationObject
- CAConnection
- ChipAuthentication
- ChipAuthenticationDomainParameterInfo
- ChipAuthenticationInfo
- ChipAuthenticationPublicKeyInfo
- CommandInterpreter
- CRLGenerator
- CVC
- CVCCA
- CVCertificateStore
- DataUnitAPDU
- DF
- DKEK
- DNEncoder
- EAC20
- EAC2CVCertificateGenerator
- EAC2CVRequestGenerator
- FCP
- File
- FileEncryptor
- FileSelector
- FileSystemIdObject
- FSNode
- GPSCP03
- HSMCVCertificateStore
- HSMKeyStore
- LinearEF
- ManagePKA
- P11CVCertificateStore
- PACE
- PACEDomainParameterInfo
- PACEInfo
- PaperKeyEncoding
- PKCS10Generator
- PublicKeyFile
- PublicKeyReference
- RAMClient
- RestrictedIdentificationDomainParameterInfo
- RestrictedIdentificationInfo
- SecureChannelHandler
- SecureMessagingCommandAPDUDecoder
- SecurityEnvironment
- SignatureKey
- SmartCardHSM
- SmartCardHSMCrypto
- SmartCardHSMInitializer
- SmartCardHSMKey
- SmartCardHSMKeySpecGenerator
- SmartCardHSMSymmetricKeySpecGenerator
- TransparentEF
- TrustAnchor
- X509CertificateGenerator
- X509CertificateIssuer
- X509CertificateStore
- X509Signer

# Class EAC2CVRequestGenerator

Class implementing a generator for CVC requests
Defined in: EAC2CVRequestGenerator.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| EAC2CVRequestGenerator(Crypto) Constructor for request generator

Method Summary
Method Attributes | Method Name and Description
--- | ---
| generateAuthenticatedCVRequest(requestKey, authenticationKey, authCHR, taOID) Generate authenticated request
| generateCVRequest(privateKey) Generate initial certificate request using the specified private key for signing
| reset() Reset the current generator object TODO: Implement me
| setCAR(car) Set the certficate authorization reference (CAR) for the request The usage of this method is optional - if no CAR is set, there will be no "inner" CAR included within the certficate request
| setCHR(chr) Set the certficate holder reference (CHR) for the request
| setExtensions(extensions) Set the extension values that should be included within the request
| setProfileIdentifier(profileID) Set the certificate profile identifier (CPI) for the request
| setPublicKey(publicKey) Set the public key that should be encoded within the request
| setTAAlgorithmIdentifier(oid) Set the object identifier that should be included in the public key domain parameters
<static> | EAC2CVRequestGenerator.signAuthenticatedCVRequest(crypto, request, authenticationKey, authCHR, taOID) Countersign request
<static> | EAC2CVRequestGenerator.stripLeadingZeros(value) Strips leading zeros of a ByteString

Class Detail
EAC2CVRequestGenerator(Crypto)
Constructor for request generator

Parameters:
{Crypto} Crypto
  object to use

Method Detail
{ASN1} generateAuthenticatedCVRequest(requestKey, authenticationKey, authCHR, taOID)
Generate authenticated request

Parameters:
{Key} requestKey
  Private key for the request signature
{Key} authenticationKey
  Private key for used for signing and authenticating the request
{PublicKeyReference} authCHR
  CHR of the authenticating authority
{ByteString} taOID
  the public key object identifier of the authentication key

Returns:
  The DER-encoded authenticated CV request

{ASN1} generateCVRequest(privateKey)
Generate initial certificate request using the specified private key for signing

Parameters:
{Key} privateKey
  Private key for signature creation

Returns:
  The DER-encoded CV request

reset()
Reset the current generator object TODO: Implement me

setCAR(car)
Set the certficate authorization reference (CAR) for the request The usage of this method is optional - if no CAR is set, there will be no "inner" CAR included within the certficate request

Parameters:
{String} car
  CAR for the request

setCHR(chr)
Set the certficate holder reference (CHR) for the request

Parameters:
{String} chr
  CHR for the request

setExtensions(extensions)
Set the extension values that should be included within the request

Parameters:
{ByteString[]} extensions
  Array of DER-encoded extensions

setProfileIdentifier(profileID)
Set the certificate profile identifier (CPI) for the request

Parameters:
{Number} profileID
  CPI for the request

setPublicKey(publicKey)
Set the public key that should be encoded within the request

Parameters:
{Key} publicKey
  Public Key

setTAAlgorithmIdentifier(oid)
Set the object identifier that should be included in the public key domain parameters

Parameters:
{ByteString} oid
  Object identifier as specified in appendix A.6.4

<static> {ASN1} EAC2CVRequestGenerator.signAuthenticatedCVRequest(crypto, request, authenticationKey, authCHR, taOID)
Countersign request

Parameters:
{Crypto} crypto
  the crypto provide to use for signing the request
{CVC} request
  the self-signed request
{Key} authenticationKey
  Private key for used for signing and authenticating the request
{PublicKeyReference} authCHR
  CHR of the authenticating authority
{ByteString} taOID
  the public key object identifier of the authentication key

Returns:
  The DER-encoded authenticated CV request

<static> {ByteString TODO: Move to Utils} EAC2CVRequestGenerator.stripLeadingZeros(value)
Strips leading zeros of a ByteString

Parameters:
{ByteString} value
  the ByteString value

Returns:
  the stripped ByteString object, may be an empty ByteString

Documentation generated by JsDoc Toolkit 2.4.0 on Thu Apr 30 2026 15:08:16 GMT+0200 (CEST)